package com.tzld.piaoquan.ad.engine.commons.score;

import com.tzld.piaoquan.ad.engine.commons.score.model.ThompsonSamplingModel;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


public abstract class BaseThompsonSamplingScorer extends AbstractScorer {

    private static Logger LOGGER = LoggerFactory.getLogger(BaseThompsonSamplingScorer.class);

    public BaseThompsonSamplingScorer(ScorerConfigInfo scorerConfigInfo) {
        super(scorerConfigInfo);
    }

    @Override
    public void loadModel() {
        doLoadModel(ThompsonSamplingModel.class);
    }
}
